Index: c/src/lib/libbsp/powerpc/mcp750/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/Makefile.in	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -18,3 +18,3 @@
 # wrapup is the one that actually builds and installs the library
 #  from the individual .rel files built in other directories
-SUB_DIRS= console include pci residual openpic irq vectors start startup bootloader wrapup
+SUB_DIRS= console include pci residual openpic irq vectors start startup bootloader dec21140 wrapup
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/Makefile.in	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,4 @@
 #
-#  $Id: 
+#  $Id$
 #
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/bootldr.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/bootldr.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/bootldr.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  include/asm-ppc/bloader.h -- Include file for bootloader.
- *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
- *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  bootldr.h -- Include file for bootloader.
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/em86.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/em86.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/em86.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,19 @@
+/*
+ *  em86.c -- Include file for bootloader.
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+
 /*****************************************************************************
 * 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/em86real.S
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/em86real.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/em86real.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  arch/ppc/boot/em86real.S -- Small x86 emulator for video board setup
+ *  em86real.S
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/exception.S
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/exception.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/exception.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  arch/ppc/loader/exceotion.S -- Exception handlers for early boot.
- *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
- *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  exception.S -- Exception handlers for early boot.
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/head.S
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/head.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/head.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,8 +1,17 @@
 /*
+ *  head.S -- Bootloader Entry point
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
  * $Id$
- *	
- * This code is loaded by the ROM loader at some arbitrary location.
- * Move it to high memory so that it can load the kernel at 0x0000.
- *
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/misc.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/misc.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/misc.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,14 +1,17 @@
 /*
- * arch/ppc/prepboot/misc.c
+ *  head.S -- Bootloader Entry point
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is based on arch/ppc/boot misc.c in previous versions of 
- * Linux/PPC but has been so extensively changed that only a few lines
- * remain from the original.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/mm.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/mm.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/mm.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  arch/ppc/prepboot/mm.c -- Crude memory management for early boot.
+ *  mm.c -- Crude memory management for early boot.
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/bootloader/pci.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/bootloader/pci.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/bootloader/pci.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,14 +1,17 @@
 /*
- *  arch/ppc/prepboot/pci.c -- Crude pci handling for early boot.
+ *  pci.c -- Crude pci handling for early boot.
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  The pci_scan_bus and pci_read_bases functions are slightly modified 
- * versions of functions with the same name in linux/drivers/pci.c by 
- * Martin Mares (mj@ucw.cz) and others (taken around linux-2.1.120).
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/console.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/console/console.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,36 +1,23 @@
-/*-------------------------------------------------------------------------+
-| console.c v1.1 - PC386 BSP - 1997/08/07
-+--------------------------------------------------------------------------+
-| This file contains the PC386 console I/O package.
-+--------------------------------------------------------------------------+
-| (C) Copyright 1997 -
-| - NavIST Group - Real-Time Distributed Systems and Industrial Automation
-|
-| http://pandora.ist.utl.pt
-|
-| Instituto Superior Tecnico * Lisboa * PORTUGAL
-+--------------------------------------------------------------------------+
-| Disclaimer:
-|
-| This file is provided "AS IS" without warranty of any kind, either
-| expressed or implied.
-+--------------------------------------------------------------------------+
-| This code is based on:
-|   console.c,v 1.4 1995/12/19 20:07:23 joel Exp - go32 BSP
-| With the following copyright notice:
-| **************************************************************************
-| *  COPYRIGHT (c) 1989-1998.
-| *  On-Line Applications Research Corporation (OAR).
-| *  Copyright assigned to U.S. Government, 1994. 
-| *
-| *  The license and distribution terms for this file may be
-| *  found in found in the file LICENSE in this distribution or at
-| *  http://www.OARcorp.com/rtems/license.html.
-| **************************************************************************
-|
-|  $Id$
-+--------------------------------------------------------------------------*/
-
-#include <stdio.h>
+/*
+ *  console.c  -- console I/O package
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ * This code is based on the pc386 BSP console.c so the following
+ * copyright also applies :
+ *
+ * (C) Copyright 1997 -
+ * - NavIST Group - Real-Time Distributed Systems and Industrial Automation
+ *
+ * http://pandora.ist.utl.pt
+ *
+ * Instituto Superior Tecnico * Lisboa * PORTUGAL
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+  
 #include <stdlib.h>
 #include <assert.h>
Index: c/src/lib/libbsp/powerpc/mcp750/console/consoleIo.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/consoleIo.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/console/consoleIo.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,14 @@
+/*
+ *  consoleIo.h  -- console I/O package interface
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+
 #ifndef __CONSOLE_IO_H
 #define __CONSOLE_IO_H
Index: c/src/lib/libbsp/powerpc/mcp750/console/consoleLib.S
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/consoleLib.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/console/consoleLib.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,16 @@
 /*
+ *  consoleLib.S  -- console I/O package utility functions.
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
  * $Id$
- *	
- * This code is loaded by the ROM loader at some arbitrary location.
- * Move it to high memory so that it can load the kernel at 0x0000.
- *
  */
+
 /* A few utility functions, some copied from arch/ppc/lib/string.S */
+
 #include <libcpu/cpu.h>
 #include <rtems/score/targopts.h>
Index: c/src/lib/libbsp/powerpc/mcp750/console/inch.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/inch.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/console/inch.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,33 +1,22 @@
-/*-------------------------------------------------------------------------+
-| inch.c v1.1 - PC386 BSP - 1997/08/07
-+--------------------------------------------------------------------------+
-| (C) Copyright 1997 -
-| - NavIST Group - Real-Time Distributed Systems and Industrial Automation
-|
-| http://pandora.ist.utl.pt
-|
-| Instituto Superior Tecnico * Lisboa * PORTUGAL
-+--------------------------------------------------------------------------+
-| Disclaimer:
-|
-| This file is provided "AS IS" without warranty of any kind, either
-| expressed or implied.
-+--------------------------------------------------------------------------+
-| This code is based on:
-|   inch.c,v 1.3 1995/12/19 20:07:25 joel Exp - go32 BSP
-| With the following copyright notice:
-| With the following copyright notice:
-| **************************************************************************
-| *  COPYRIGHT (c) 1989-1998.
-| *  On-Line Applications Research Corporation (OAR).
-| *  Copyright assigned to U.S. Government, 1994. 
-| *
-| *  The license and distribution terms for this file may be
-| *  found in found in the file LICENSE in this distribution or at
-| *  http://www.OARcorp.com/rtems/license.html.
-| **************************************************************************
-|
-|  $Id$
-+--------------------------------------------------------------------------*/
+/*
+ *  inch.c  -- keyboard minimal driver
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ * This code is based on the pc386 BSP inch.c so the following
+ * copyright also applies :
+ *
+ * (C) Copyright 1997 -
+ * - NavIST Group - Real-Time Distributed Systems and Industrial Automation
+ *
+ * http://pandora.ist.utl.pt
+ *
+ * Instituto Superior Tecnico * Lisboa * PORTUGAL
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
 
 #include <bsp.h>
Index: c/src/lib/libbsp/powerpc/mcp750/console/keyboard.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/keyboard.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/console/keyboard.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,14 @@
+/*
+ *  keyboard.h  -- keyboard definitions.
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+
 #ifndef __LINUX_KEYBOARD_H
 #define __LINUX_KEYBOARD_H
Index: c/src/lib/libbsp/powerpc/mcp750/console/polled_io.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/polled_io.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/console/polled_io.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,13 +1,17 @@
 /*
- * arch/ppc/prepboot/console.c
+ *  polled_io.c -- Basic input/output for early boot
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is based on arch/ppc/boot/{kbd,vreset}.c in previous versions 
- * of Linux/PPC, mostly contributed by Gary Thomas and Cort Dougan.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/include/bsp.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/include/bsp.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,12 @@
 /*
- * empty file. Just because referenced by portable application layer.
+ *  bsp.h  -- contain BSP API definition.
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 #ifndef LIBBSP_POWERPC_MCP750_BSP_H
Index: c/src/lib/libbsp/powerpc/mcp750/include/nvram.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/include/nvram.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/include/nvram.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,8 @@
 /*
  * PreP compliant NVRAM access
+ *
+ * This file can be found in motorla or IBP PPC site.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/irq/i8259.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/irq/i8259.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/irq/i8259.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,8 +1,8 @@
-/* i8259.c
- *
+
+/*
  *  This file contains the implementation of the function described in irq.h
  *  related to Intel 8259 Programmable Interrupt controller.
  *
- *  CopyRight (C) 1998 valette@crf.canon.fr
+ *  Copyright (C) 1998, 1999 valette@crf.canon.fr
  *
  *  The license and distribution terms for this file may be
@@ -12,6 +12,5 @@
  *  $Id$
  */
-
-
+  
 #include <bsp.h>
 #include <bsp/irq.h>
Index: c/src/lib/libbsp/powerpc/mcp750/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/irq/irq.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/irq/irq.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,7 +1,7 @@
-/* irq.c
+/*
  *
  *  This file contains the implementation of the function described in irq.h
  *
- *  CopyRight (C) 1998 valette@crf.canon.fr
+ *  Copyright (C) 1998, 1999 valette@crf.canon.fr
  *
  *  The license and distribution terms for this file may be
@@ -11,6 +11,5 @@
  *  $Id$
  */
-
-
+  
 #include <bsp.h>
 #include <bsp/irq.h>
@@ -20,5 +19,5 @@
 #include <libcpu/raw_exception.h>
 #include <bsp/vectors.h>
-#include <libcpu/processor.h>
+#include <libcpu/cpu.h>
 
 #define RAVEN_INTR_ACK_REG 0xfeff0030
Index: c/src/lib/libbsp/powerpc/mcp750/irq/irq_asm.S
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/irq/irq_asm.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/irq/irq_asm.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,14 +1,13 @@
 /*
- * (c) 1999, Eric Valette valette@crf.canon.fr
- *
- *
  *  This file contains the assembly code for the PowerPC 
  *  IRQ veneers for RTEMS.
  *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
  * $Id$
  */
-	
-
-
+  	
 #include <bsp/vectors.h>
 #include <libcpu/cpu.h>
Index: c/src/lib/libbsp/powerpc/mcp750/openpic/openpic.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/openpic/openpic.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/openpic/openpic.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,12 +1,18 @@
 /*
- *  arch/ppc/kernel/openpic.c -- OpenPIC Interrupt Handling
+ *  openpic.c -- OpenPIC Interrupt Handling
  *
  *  Copyright (C) 1997 Geert Uytterhoeven
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
-
 
 /*
@@ -20,6 +26,4 @@
 #include <libcpu/io.h>
 #include <libcpu/byteorder.h>
-
-/* #include <asm/irq.h> */
 
 #define NULL 0
Index: c/src/lib/libbsp/powerpc/mcp750/openpic/openpic.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/openpic/openpic.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/openpic/openpic.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,4 @@
 /*
- *  linux/openpic.h -- OpenPIC definitions
+ *  openpic.h -- OpenPIC definitions
  *
  *  Copyright (C) 1997 Geert Uytterhoeven
@@ -22,4 +22,15 @@
  *  License.  See the file COPYING in the main directory of this archive
  *  for more details.
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/pci/pci.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/pci/pci.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/pci/pci.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,20 @@
+/*
+ * pci.c :  this file contains basic PCI Io functions.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  This code is heavilly inspired by the public specification of STREAM V2
+ *  that can be found at :
+ *
+ *      <http://www.chorus.com/Documentation/index.html> by following
+ *  the STREAM API Specification Document link.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
 #include <bsp/consoleIo.h>
 #include <libcpu/io.h>
Index: c/src/lib/libbsp/powerpc/mcp750/pci/pci.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/pci/pci.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/pci/pci.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -12,4 +12,6 @@
  *	PCI to PCI Bridge Specification
  *	PCI System Design Guide
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/mcp750/residual/pnp.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/residual/pnp.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/residual/pnp.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -14,4 +14,8 @@
 /* For enum's: if given in hex then they are bit significant, i.e.            */
 /* only one bit is on for each enum                                           */
+
+/*
+ * $Id$
+ */
 
 #ifndef _PNP_
Index: c/src/lib/libbsp/powerpc/mcp750/residual/residual.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/residual/residual.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/residual/residual.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,17 @@
+/*
+ * residual.c : function used to parse residual data.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  This code is heavilly inspired by the public specification of STREAM V2
+ *  that can be found at :
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
 #include <bsp/residual.h>
 #include <libcpu/io.h>
Index: c/src/lib/libbsp/powerpc/mcp750/residual/residual.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/residual/residual.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/residual/residual.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -10,4 +10,8 @@
 /*             i.e. only one bit is on for each enum                          */
 /* Reserved fields must be filled with zeros.                                */
+
+/*
+ * $Id$
+ */
 
 #ifndef _RESIDUAL_
Index: c/src/lib/libbsp/powerpc/mcp750/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/startup/bspstart.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/startup/bspstart.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -12,4 +12,7 @@
  *  found in the file LICENSE in this distribution or at
  *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  Modified to support the MCP750.
+ *  Modifications Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
  *
  *  $Id$
@@ -120,5 +123,6 @@
 {
     extern int end;
-    rtems_unsigned32        heap_start;
+    rtems_unsigned32        heap_start;    
+    rtems_unsigned32        heap_size;
 
     heap_start = ((rtems_unsigned32) &__rtems_end) +INIT_STACK_SIZE + INTR_STACK_SIZE;
@@ -126,5 +130,8 @@
         heap_start = (heap_start + CPU_ALIGNMENT) & ~(CPU_ALIGNMENT-1);
 
-    bsp_libc_init((void *) heap_start, 64 * 1024, 0);
+    heap_size = (BSP_mem_size - heap_start) - BSP_Configuration.work_space_size;
+
+    printk(" HEAP start %x  size %x\n", heap_start, heap_size);
+    bsp_libc_init((void *) heap_start, heap_size, 0);
 
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/powerpc/mcp750/startup/cEntry.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/startup/cEntry.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/startup/cEntry.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,121 +1,0 @@
-/*
- *
- */
-#include <bsp/consoleIo.h>
-#include <libcpu/spr.h>
-#include <bsp/residual.h>
-#include <bsp/pci.h>
-#include <bsp/openpic.h>
-#include <bsp/irq.h>
-#include <bsp.h>
-#include <libcpu/bat.h>
-
-extern void _return_to_ppcbug();
-extern unsigned long __rtems_end;
-
-RESIDUAL residualCopy;
-#define INIT_STACK_SIZE 0x1000
-#define INTR_STACK_SIZE 0x4000
-
-void BSP_panic(char *s)
-{
-  printk("RTEMS 4.x PANIC %s\n", s);
-  _return_to_ppcbug();
-}
-
-void _BSP_Fatal_error(unsigned int v)
-{
-  printk("RTEMS 4.x PANIC ERROR %x\n", v);
-  _return_to_ppcbug();
-}
-
-void
-boot_card(RESIDUAL* r3, void *r4, void* r5, char *additional_boot_options)
-{
-  int err;
-  unsigned char *stack;
-  unsigned l2cr;
-  register unsigned char* intrStack;
-  register unsigned int intrNestingLevel = 0;
-  
-  L1_caches_enables();
-  stack = ((unsigned char*) &__rtems_end) + INIT_STACK_SIZE;
-  intrStack = ((unsigned char*) &__rtems_end) + INIT_STACK_SIZE + INTR_STACK_SIZE;
-  asm volatile ("mtspr	273, %0" : "=r" (intrStack) : "0" (intrStack));
-  asm volatile ("mtspr	272, %0" : "=r" (intrNestingLevel) : "0" (intrNestingLevel));
-  residualCopy = *r3;
-#define NO_DYNAMIC_EXCEPTION_VECTOR_INSTALL
-#undef  NO_DYNAMIC_EXCEPTION_VECTOR_INSTALL
-#ifndef NO_DYNAMIC_EXCEPTION_VECTOR_INSTALL  
-  initialize_exceptions();
-#endif
-  select_console(CONSOLE_LOG);
-
-  /* We check that the keyboard is present and immediately 
-   * select the serial console if not.
-   */
-  err = kbdreset();
-  if (err) select_console(CONSOLE_SERIAL);
-
-  
-  printk("Welcome to RTEMS 4.0.2 on Motorola MCP750\n\n\n");
-  printk("-----------------------------------------\n");
-  printk("Residuals are located at %x\n", (unsigned) r3);
-  printk("Additionnal boot options are %s\n", additional_boot_options);
-  printk("-----------------------------------------\n");
-
-  printk("Initial system stack at %x\n",stack);
-  l2cr = get_L2CR();
-  printk("Initial L2CR value = %x\n", l2cr);
-  if (! (l2cr & 0x80000000))
-    set_L2CR(0xb9A14000);
-#ifdef TEST_RETURN_TO_PPCBUG  
-  printk("Hit <Enter> to return to PPCBUG monitor\n");
-  printk("When Finished hit GO. It should print <Back from monitor>\n");
-  debug_getc();
-  _return_to_ppcbug();
-  printk("Back from monitor\n");
-  _return_to_ppcbug();
-#endif /* TEST_RETURN_TO_PPCBUG  */
-
-  /*
-   * Init MMU block address translation to enable hardware
-   * access
-   */
-  /*
-   * PC legacy IO space used for inb/outb and all PC
-   * compatible hardware
-   */
-  setdbat(1, 0x80000000, 0x80000000, 0x10000000, IO_PAGE);
-  /*
-   * PCI devices memory area. Needed to access OPENPIC features
-   * provided by the RAVEN
-   */
-  setdbat(2, 0xc0000000, 0xc0000000, 0x08000000, IO_PAGE);
-  /*
-   * Must have acces to open pic PCI ACK registers 
-   * provided by the RAVEN
-   */
-  setdbat(3, 0xfeff0000, 0xfeff0000, 0x10000, IO_PAGE);
-
-  printk("Going to start PCI buses scanning and initialization\n");
-  InitializePCI();
-  printk("Number of PCI buses is found : %d\n", BusCountPCI());
-#ifdef TEST_RAW_EXCEPTION_CODE  
-  printk("Testing exception handling Part 1\n");
-  /*
-   * Cause a software exception
-   */
-  __asm__ __volatile ("sc");
-  /*
-   * Check we can still catch exceptions
-   */
-  printk("Testing exception handling Part 2\n");
-  __asm__ __volatile ("sc");
-#endif  
-  BSP_rtems_irq_mng_init(0);
-  printk("Init done\n");
-  debug_getc();
-  while(1);
-}
-
Index: c/src/lib/libbsp/powerpc/mcp750/vectors/vectors.h
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/vectors/vectors.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/vectors/vectors.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,16 @@
+/* 
+ * vectors.h Exception frame related contant and API.
+ *
+ *  This include file describe the data structure and the functions implemented
+ *  by rtems to handle exceptions.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
 #ifndef LIBBSP_POWERPC_MCP750_VECTORS_H
 #define LIBBSP_POWERPC_MCP750_VECTORS_H
Index: c/src/lib/libbsp/powerpc/mcp750/vectors/vectors_init.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/vectors/vectors_init.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/vectors/vectors_init.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,15 @@
-/*
+/* 
+ * vectors_init.c Exception hanlding initialisation (and generic handler).
  *
+ *  This include file describe the data structure and the functions implemented
+ *  by rtems to handle exceptions.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
  */
 #include <bsp/vectors.h>
Index: c/src/lib/libbsp/powerpc/mcp750/wrapup/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/wrapup/Makefile.in	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/mcp750/wrapup/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -16,5 +16,5 @@
 VPATH = @srcdir@
 
-BSP_PIECES=console irq openpic pci residual startup vectors
+BSP_PIECES=console irq openpic pci residual startup dec21140 vectors
 GENERIC_PIECES=
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.in	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -18,3 +18,3 @@
 # wrapup is the one that actually builds and installs the library
 #  from the individual .rel files built in other directories
-SUB_DIRS= console include pci residual openpic irq vectors start startup bootloader wrapup
+SUB_DIRS= console include pci residual openpic irq vectors start startup bootloader dec21140 wrapup
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.in	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,4 @@
 #
-#  $Id: 
+#  $Id$
 #
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/bootldr.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/bootldr.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/bootldr.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  include/asm-ppc/bloader.h -- Include file for bootloader.
- *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
- *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  bootldr.h -- Include file for bootloader.
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/em86.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/em86.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/em86.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,19 @@
+/*
+ *  em86.c -- Include file for bootloader.
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+
 /*****************************************************************************
 * 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/em86real.S
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/em86real.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/em86real.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  arch/ppc/boot/em86real.S -- Small x86 emulator for video board setup
+ *  em86real.S
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/exception.S
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/exception.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/exception.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  arch/ppc/loader/exceotion.S -- Exception handlers for early boot.
- *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
- *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  exception.S -- Exception handlers for early boot.
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/head.S
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/head.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/head.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,8 +1,17 @@
 /*
+ *  head.S -- Bootloader Entry point
+ *
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
  * $Id$
- *	
- * This code is loaded by the ROM loader at some arbitrary location.
- * Move it to high memory so that it can load the kernel at 0x0000.
- *
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/misc.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/misc.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/misc.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,14 +1,17 @@
 /*
- * arch/ppc/prepboot/misc.c
+ *  head.S -- Bootloader Entry point
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is based on arch/ppc/boot misc.c in previous versions of 
- * Linux/PPC but has been so extensively changed that only a few lines
- * remain from the original.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/mm.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/mm.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/mm.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,17 @@
 /*
- *  arch/ppc/prepboot/mm.c -- Crude memory management for early boot.
+ *  mm.c -- Crude memory management for early boot.
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/pci.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/pci.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/bootloader/pci.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,14 +1,17 @@
 /*
- *  arch/ppc/prepboot/pci.c -- Crude pci handling for early boot.
+ *  pci.c -- Crude pci handling for early boot.
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  The pci_scan_bus and pci_read_bases functions are slightly modified 
- * versions of functions with the same name in linux/drivers/pci.c by 
- * Martin Mares (mj@ucw.cz) and others (taken around linux-2.1.120).
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/console.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/console.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,36 +1,23 @@
-/*-------------------------------------------------------------------------+
-| console.c v1.1 - PC386 BSP - 1997/08/07
-+--------------------------------------------------------------------------+
-| This file contains the PC386 console I/O package.
-+--------------------------------------------------------------------------+
-| (C) Copyright 1997 -
-| - NavIST Group - Real-Time Distributed Systems and Industrial Automation
-|
-| http://pandora.ist.utl.pt
-|
-| Instituto Superior Tecnico * Lisboa * PORTUGAL
-+--------------------------------------------------------------------------+
-| Disclaimer:
-|
-| This file is provided "AS IS" without warranty of any kind, either
-| expressed or implied.
-+--------------------------------------------------------------------------+
-| This code is based on:
-|   console.c,v 1.4 1995/12/19 20:07:23 joel Exp - go32 BSP
-| With the following copyright notice:
-| **************************************************************************
-| *  COPYRIGHT (c) 1989-1998.
-| *  On-Line Applications Research Corporation (OAR).
-| *  Copyright assigned to U.S. Government, 1994. 
-| *
-| *  The license and distribution terms for this file may be
-| *  found in found in the file LICENSE in this distribution or at
-| *  http://www.OARcorp.com/rtems/license.html.
-| **************************************************************************
-|
-|  $Id$
-+--------------------------------------------------------------------------*/
-
-#include <stdio.h>
+/*
+ *  console.c  -- console I/O package
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ * This code is based on the pc386 BSP console.c so the following
+ * copyright also applies :
+ *
+ * (C) Copyright 1997 -
+ * - NavIST Group - Real-Time Distributed Systems and Industrial Automation
+ *
+ * http://pandora.ist.utl.pt
+ *
+ * Instituto Superior Tecnico * Lisboa * PORTUGAL
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+  
 #include <stdlib.h>
 #include <assert.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/consoleIo.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/consoleIo.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/consoleIo.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,14 @@
+/*
+ *  consoleIo.h  -- console I/O package interface
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+
 #ifndef __CONSOLE_IO_H
 #define __CONSOLE_IO_H
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/consoleLib.S
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/consoleLib.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/consoleLib.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,10 +1,16 @@
 /*
+ *  consoleLib.S  -- console I/O package utility functions.
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
  * $Id$
- *	
- * This code is loaded by the ROM loader at some arbitrary location.
- * Move it to high memory so that it can load the kernel at 0x0000.
- *
  */
+
 /* A few utility functions, some copied from arch/ppc/lib/string.S */
+
 #include <libcpu/cpu.h>
 #include <rtems/score/targopts.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/inch.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/inch.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/inch.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,33 +1,22 @@
-/*-------------------------------------------------------------------------+
-| inch.c v1.1 - PC386 BSP - 1997/08/07
-+--------------------------------------------------------------------------+
-| (C) Copyright 1997 -
-| - NavIST Group - Real-Time Distributed Systems and Industrial Automation
-|
-| http://pandora.ist.utl.pt
-|
-| Instituto Superior Tecnico * Lisboa * PORTUGAL
-+--------------------------------------------------------------------------+
-| Disclaimer:
-|
-| This file is provided "AS IS" without warranty of any kind, either
-| expressed or implied.
-+--------------------------------------------------------------------------+
-| This code is based on:
-|   inch.c,v 1.3 1995/12/19 20:07:25 joel Exp - go32 BSP
-| With the following copyright notice:
-| With the following copyright notice:
-| **************************************************************************
-| *  COPYRIGHT (c) 1989-1998.
-| *  On-Line Applications Research Corporation (OAR).
-| *  Copyright assigned to U.S. Government, 1994. 
-| *
-| *  The license and distribution terms for this file may be
-| *  found in found in the file LICENSE in this distribution or at
-| *  http://www.OARcorp.com/rtems/license.html.
-| **************************************************************************
-|
-|  $Id$
-+--------------------------------------------------------------------------*/
+/*
+ *  inch.c  -- keyboard minimal driver
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ * This code is based on the pc386 BSP inch.c so the following
+ * copyright also applies :
+ *
+ * (C) Copyright 1997 -
+ * - NavIST Group - Real-Time Distributed Systems and Industrial Automation
+ *
+ * http://pandora.ist.utl.pt
+ *
+ * Instituto Superior Tecnico * Lisboa * PORTUGAL
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
 
 #include <bsp.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/keyboard.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/keyboard.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/keyboard.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,14 @@
+/*
+ *  keyboard.h  -- keyboard definitions.
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
+ */
+
 #ifndef __LINUX_KEYBOARD_H
 #define __LINUX_KEYBOARD_H
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/polled_io.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/polled_io.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/polled_io.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,13 +1,17 @@
 /*
- * arch/ppc/prepboot/console.c
+ *  polled_io.c -- Basic input/output for early boot
  *
- *  Copyright (C) 1998 Gabriel Paubert, paubert@iram.es
+ *  Copyright (C) 1998, 1999 Gabriel Paubert, paubert@iram.es
  *
- *  This file is based on arch/ppc/boot/{kbd,vreset}.c in previous versions 
- * of Linux/PPC, mostly contributed by Gary Thomas and Cort Dougan.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/include/bsp.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/include/bsp.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,12 @@
 /*
- * empty file. Just because referenced by portable application layer.
+ *  bsp.h  -- contain BSP API definition.
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 #ifndef LIBBSP_POWERPC_MCP750_BSP_H
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/include/nvram.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/include/nvram.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/include/nvram.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,8 @@
 /*
  * PreP compliant NVRAM access
+ *
+ * This file can be found in motorla or IBP PPC site.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/irq/i8259.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/irq/i8259.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/irq/i8259.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,8 +1,8 @@
-/* i8259.c
- *
+
+/*
  *  This file contains the implementation of the function described in irq.h
  *  related to Intel 8259 Programmable Interrupt controller.
  *
- *  CopyRight (C) 1998 valette@crf.canon.fr
+ *  Copyright (C) 1998, 1999 valette@crf.canon.fr
  *
  *  The license and distribution terms for this file may be
@@ -12,6 +12,5 @@
  *  $Id$
  */
-
-
+  
 #include <bsp.h>
 #include <bsp/irq.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/irq/irq.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/irq/irq.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,7 +1,7 @@
-/* irq.c
+/*
  *
  *  This file contains the implementation of the function described in irq.h
  *
- *  CopyRight (C) 1998 valette@crf.canon.fr
+ *  Copyright (C) 1998, 1999 valette@crf.canon.fr
  *
  *  The license and distribution terms for this file may be
@@ -11,6 +11,5 @@
  *  $Id$
  */
-
-
+  
 #include <bsp.h>
 #include <bsp/irq.h>
@@ -20,5 +19,5 @@
 #include <libcpu/raw_exception.h>
 #include <bsp/vectors.h>
-#include <libcpu/processor.h>
+#include <libcpu/cpu.h>
 
 #define RAVEN_INTR_ACK_REG 0xfeff0030
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/irq/irq_asm.S
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/irq/irq_asm.S	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/irq/irq_asm.S	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,14 +1,13 @@
 /*
- * (c) 1999, Eric Valette valette@crf.canon.fr
- *
- *
  *  This file contains the assembly code for the PowerPC 
  *  IRQ veneers for RTEMS.
  *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
  * $Id$
  */
-	
-
-
+  	
 #include <bsp/vectors.h>
 #include <libcpu/cpu.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/openpic.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/openpic.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/openpic.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,12 +1,18 @@
 /*
- *  arch/ppc/kernel/openpic.c -- OpenPIC Interrupt Handling
+ *  openpic.c -- OpenPIC Interrupt Handling
  *
  *  Copyright (C) 1997 Geert Uytterhoeven
  *
- *  This file is subject to the terms and conditions of the GNU General Public
- *  License.  See the file COPYING in the main directory of this archive
- *  for more details.
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
-
 
 /*
@@ -20,6 +26,4 @@
 #include <libcpu/io.h>
 #include <libcpu/byteorder.h>
-
-/* #include <asm/irq.h> */
 
 #define NULL 0
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/openpic.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/openpic.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/openpic/openpic.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,4 @@
 /*
- *  linux/openpic.h -- OpenPIC definitions
+ *  openpic.h -- OpenPIC definitions
  *
  *  Copyright (C) 1997 Geert Uytterhoeven
@@ -22,4 +22,15 @@
  *  License.  See the file COPYING in the main directory of this archive
  *  for more details.
+ *
+ *  Modified to compile in RTEMS development environment
+ *  by Eric Valette
+ *
+ *  Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/pci/pci.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/pci/pci.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/pci/pci.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,20 @@
+/*
+ * pci.c :  this file contains basic PCI Io functions.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  This code is heavilly inspired by the public specification of STREAM V2
+ *  that can be found at :
+ *
+ *      <http://www.chorus.com/Documentation/index.html> by following
+ *  the STREAM API Specification Document link.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
 #include <bsp/consoleIo.h>
 #include <libcpu/io.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/pci/pci.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/pci/pci.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/pci/pci.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -12,4 +12,6 @@
  *	PCI to PCI Bridge Specification
  *	PCI System Design Guide
+ *
+ * $Id$
  */
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/residual/pnp.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/residual/pnp.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/residual/pnp.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -14,4 +14,8 @@
 /* For enum's: if given in hex then they are bit significant, i.e.            */
 /* only one bit is on for each enum                                           */
+
+/*
+ * $Id$
+ */
 
 #ifndef _PNP_
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/residual/residual.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/residual/residual.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/residual/residual.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,17 @@
+/*
+ * residual.c : function used to parse residual data.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  This code is heavilly inspired by the public specification of STREAM V2
+ *  that can be found at :
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
 #include <bsp/residual.h>
 #include <libcpu/io.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/residual/residual.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/residual/residual.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/residual/residual.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -10,4 +10,8 @@
 /*             i.e. only one bit is on for each enum                          */
 /* Reserved fields must be filled with zeros.                                */
+
+/*
+ * $Id$
+ */
 
 #ifndef _RESIDUAL_
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/startup/bspstart.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/startup/bspstart.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -12,4 +12,7 @@
  *  found in the file LICENSE in this distribution or at
  *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  Modified to support the MCP750.
+ *  Modifications Copyright (C) 1999 Eric Valette. valette@crf.canon.fr
  *
  *  $Id$
@@ -120,5 +123,6 @@
 {
     extern int end;
-    rtems_unsigned32        heap_start;
+    rtems_unsigned32        heap_start;    
+    rtems_unsigned32        heap_size;
 
     heap_start = ((rtems_unsigned32) &__rtems_end) +INIT_STACK_SIZE + INTR_STACK_SIZE;
@@ -126,5 +130,8 @@
         heap_start = (heap_start + CPU_ALIGNMENT) & ~(CPU_ALIGNMENT-1);
 
-    bsp_libc_init((void *) heap_start, 64 * 1024, 0);
+    heap_size = (BSP_mem_size - heap_start) - BSP_Configuration.work_space_size;
+
+    printk(" HEAP start %x  size %x\n", heap_start, heap_size);
+    bsp_libc_init((void *) heap_start, heap_size, 0);
 
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/startup/cEntry.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/startup/cEntry.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/startup/cEntry.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,121 +1,0 @@
-/*
- *
- */
-#include <bsp/consoleIo.h>
-#include <libcpu/spr.h>
-#include <bsp/residual.h>
-#include <bsp/pci.h>
-#include <bsp/openpic.h>
-#include <bsp/irq.h>
-#include <bsp.h>
-#include <libcpu/bat.h>
-
-extern void _return_to_ppcbug();
-extern unsigned long __rtems_end;
-
-RESIDUAL residualCopy;
-#define INIT_STACK_SIZE 0x1000
-#define INTR_STACK_SIZE 0x4000
-
-void BSP_panic(char *s)
-{
-  printk("RTEMS 4.x PANIC %s\n", s);
-  _return_to_ppcbug();
-}
-
-void _BSP_Fatal_error(unsigned int v)
-{
-  printk("RTEMS 4.x PANIC ERROR %x\n", v);
-  _return_to_ppcbug();
-}
-
-void
-boot_card(RESIDUAL* r3, void *r4, void* r5, char *additional_boot_options)
-{
-  int err;
-  unsigned char *stack;
-  unsigned l2cr;
-  register unsigned char* intrStack;
-  register unsigned int intrNestingLevel = 0;
-  
-  L1_caches_enables();
-  stack = ((unsigned char*) &__rtems_end) + INIT_STACK_SIZE;
-  intrStack = ((unsigned char*) &__rtems_end) + INIT_STACK_SIZE + INTR_STACK_SIZE;
-  asm volatile ("mtspr	273, %0" : "=r" (intrStack) : "0" (intrStack));
-  asm volatile ("mtspr	272, %0" : "=r" (intrNestingLevel) : "0" (intrNestingLevel));
-  residualCopy = *r3;
-#define NO_DYNAMIC_EXCEPTION_VECTOR_INSTALL
-#undef  NO_DYNAMIC_EXCEPTION_VECTOR_INSTALL
-#ifndef NO_DYNAMIC_EXCEPTION_VECTOR_INSTALL  
-  initialize_exceptions();
-#endif
-  select_console(CONSOLE_LOG);
-
-  /* We check that the keyboard is present and immediately 
-   * select the serial console if not.
-   */
-  err = kbdreset();
-  if (err) select_console(CONSOLE_SERIAL);
-
-  
-  printk("Welcome to RTEMS 4.0.2 on Motorola MCP750\n\n\n");
-  printk("-----------------------------------------\n");
-  printk("Residuals are located at %x\n", (unsigned) r3);
-  printk("Additionnal boot options are %s\n", additional_boot_options);
-  printk("-----------------------------------------\n");
-
-  printk("Initial system stack at %x\n",stack);
-  l2cr = get_L2CR();
-  printk("Initial L2CR value = %x\n", l2cr);
-  if (! (l2cr & 0x80000000))
-    set_L2CR(0xb9A14000);
-#ifdef TEST_RETURN_TO_PPCBUG  
-  printk("Hit <Enter> to return to PPCBUG monitor\n");
-  printk("When Finished hit GO. It should print <Back from monitor>\n");
-  debug_getc();
-  _return_to_ppcbug();
-  printk("Back from monitor\n");
-  _return_to_ppcbug();
-#endif /* TEST_RETURN_TO_PPCBUG  */
-
-  /*
-   * Init MMU block address translation to enable hardware
-   * access
-   */
-  /*
-   * PC legacy IO space used for inb/outb and all PC
-   * compatible hardware
-   */
-  setdbat(1, 0x80000000, 0x80000000, 0x10000000, IO_PAGE);
-  /*
-   * PCI devices memory area. Needed to access OPENPIC features
-   * provided by the RAVEN
-   */
-  setdbat(2, 0xc0000000, 0xc0000000, 0x08000000, IO_PAGE);
-  /*
-   * Must have acces to open pic PCI ACK registers 
-   * provided by the RAVEN
-   */
-  setdbat(3, 0xfeff0000, 0xfeff0000, 0x10000, IO_PAGE);
-
-  printk("Going to start PCI buses scanning and initialization\n");
-  InitializePCI();
-  printk("Number of PCI buses is found : %d\n", BusCountPCI());
-#ifdef TEST_RAW_EXCEPTION_CODE  
-  printk("Testing exception handling Part 1\n");
-  /*
-   * Cause a software exception
-   */
-  __asm__ __volatile ("sc");
-  /*
-   * Check we can still catch exceptions
-   */
-  printk("Testing exception handling Part 2\n");
-  __asm__ __volatile ("sc");
-#endif  
-  BSP_rtems_irq_mng_init(0);
-  printk("Init done\n");
-  debug_getc();
-  while(1);
-}
-
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/vectors.h
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/vectors.h	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/vectors.h	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,2 +1,16 @@
+/* 
+ * vectors.h Exception frame related contant and API.
+ *
+ *  This include file describe the data structure and the functions implemented
+ *  by rtems to handle exceptions.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
 #ifndef LIBBSP_POWERPC_MCP750_VECTORS_H
 #define LIBBSP_POWERPC_MCP750_VECTORS_H
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/vectors_init.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/vectors_init.c	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/vectors/vectors_init.c	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -1,4 +1,15 @@
-/*
+/* 
+ * vectors_init.c Exception hanlding initialisation (and generic handler).
  *
+ *  This include file describe the data structure and the functions implemented
+ *  by rtems to handle exceptions.
+ *
+ *  CopyRight (C) 1999 valette@crf.canon.fr
+ *
+ *  The license and distribution terms for this file may be
+ *  found in found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
  */
 #include <bsp/vectors.h>
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.in	(revision 455d855260572f21b26be0968147c9e21ff3556b)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
@@ -16,5 +16,5 @@
 VPATH = @srcdir@
 
-BSP_PIECES=console irq openpic pci residual startup vectors
+BSP_PIECES=console irq openpic pci residual startup dec21140 vectors
 GENERIC_PIECES=
 
